import React from 'react';
import styles from './index.less';
import PanelTitle from '@/pages/Home_v_2504/components/common/PanelTitle';

/**
 * 市政设施左侧内容组件
 */
const LeftContent: React.FC = () => {
  return (
    <div className={styles.container}>
      {/* 标题 */}
      <div className={styles.header}>
        <PanelTitle title="道桥监管" />
      </div>
      
      <div className={styles.content}>
        <p>此处为市政设施监管左侧内容区域</p>
      </div>
    </div>
  );
};

export default LeftContent; 