export interface Resp {
  readonly timestamp?: string;
  readonly bizcode?: number;
  readonly code?: number | string;
  readonly success?: boolean;
  readonly flag?: boolean;
  readonly path?: string;
  readonly msg?: string;
  readonly query?: string;
  readonly status?: string;
  readonly extras?: Record<string, any>;
}

export interface RespResultList<T> extends Resp {
  data: T[];
}

export interface RespResult<T> extends Resp {
  data: T;
}
