# 前端部署配置文档

### 1、市上部署端口记录文档（https://hncy.info/confluence/pages/viewpage.action?pageId=214499781）

# 1. 添加 VPN 站点（下载客户端地址：https://client.arraynetworks.com.cn:8080）

账户 221.237.109.215:6443 用户：zhcg_user01 密码：Zhcg@vpn_12#$ 确保链接成功

# 2. 登录堡垒机地址系统

登录地址 **https://172.20.66.35/#/login**

| 目标系统 |   用户名 |       密码        |
| :------- | -------: | :---------------: |
| 体征指数 | TZZS-hjx | Admin@tzzs2024.yy |
| 城管 24  | CG24-lyl | Admin@cg242024.yy |

# 3. 登录服务器

以下出现分化，请根据你当前的系统配置进行选择

## 3.1 体征指数（体征指数-体征大屏-web、体征指数-指标管理-web、体征指数-指标配置-web）

涉及服务器： **192.1.98.129** **192.1.98.15** 两个服务器都需要部署，需要更新两个服务器的服务

以下是部署在 192.1.98.15 教程

### 3.1.1 登录服务器

账号 root 密码 Hncy@123

cd /root/deploy/web/city.yml

添加新的 tag，执行命令

# 第四步：nginx 代理 43003/packName：

一、本地打包 dist 要指定一个路径：

- **包名** packName：请自己定义，确保一致性！！！！！

(1)在 config/config.ts 添加: publicPath:'/packName/', base:'/packName/'

(2)在全局统一请求里增加路径，不然部署上去接口会 502

```ts
//请求拦截器
export const requestInterceptors: RequestConfig['requestInterceptors'] = [
  // 直接写一个 function，作为拦截器
  (url, options) => {
    const headers = {
      Authorization: 'bearer ' + getSession('token'),
    };
    const IS_PROD = process.env.NODE_ENV === 'production' ? true : false;
    let commPreUrl = IS_PROD ? '/packName' + url : url;
    return { url: commPreUrl, options: { ...options, headers } };
  },
];
```

二、192.1.100.145 进入：/etc/nginx/conf.d 增加路径代理配置保持原脚本配置重启容器服务： nginx -s reload

每次通过 JENKINS 打包需要修改两个地方

### 2、市上环境部署（192.1.100.145）：

```
    1、修改 Dockerfile： FROM registry.hncy.info/nginx:1.27.2-bookworm-arm 
    2、修改 builder.sh
    docker buildx build --platform linux/arm64 -t $repo:$tag . --push
```

### 2、公司部署（192.168.1.5）：

每次需要修改两个地方

```
1、修改 Dockerfile： FROM registry.hncy.info/nginx:1.25.4

2、修改 builder.sh docker buildx build --platform linux/amd64 -t $repo:$tag . --push
```

文档贡献人: 2024-10-29 许红梅
