import React from 'react';
import styles from './index.less';
import PanelTitle from '@/pages/Home_v_2504/components/common/PanelTitle';

/**
 * 景观照明左侧内容组件
 */
const LeftContent: React.FC = () => {
  return (
    <div className={styles.container}>
      {/* 标题 */}
      <div className={styles.header}>
        <PanelTitle title="景观照明资源" />
        {/* <DateSelector
          onChange={handleDateChange}
          defaultType="day"
          panelType="left"
        /> */}
      </div>
      
      <div className={styles.content}>
        <p>此处为景观照明监管左侧内容区域</p>
      </div>
    </div>
  );
};

export default LeftContent; 